API端点:
https://www.rank.fan/api/v1/websites
请求示例:
curl --location --request GET 'https://www.rank.fan/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_bydomain 代表 域名。 默认为:domain。sort_byid 代表 创建日期, domain 代表 域名, reports_avg_score 代表 分数, reports_count 代表 报告。 默认为:id。sortdesc 代表 降序, asc 代表 升序。 默认为:desc。per_page10, 25, 50, 100。 默认为:10。API端点:
https://www.rank.fan/api/v1/websites/{id}
请求示例:
curl --location --request GET 'https://www.rank.fan/api/v1/websites/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API端点:
https://www.rank.fan/api/v1/websites/{id}
请求示例:
curl --location --request PUT 'https://www.rank.fan/api/v1/websites/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
privacy0 代表 公共, 1 代表 私人, 2 代表 密码。password2 的 privacy 字段。API端点:
https://www.rank.fan/api/v1/websites/{id}
请求示例:
curl --location --request DELETE 'https://www.rank.fan/api/v1/websites/{id}' \ --header 'Authorization: Bearer {api_key}'